List of all members
clan::SoundProviderType_Register< SoundProviderClass > Class Template Reference
clanSound Sound Providers

Class template to register a sound provider type. More...

`#include <soundprovider_type_register.h>`

Inheritance diagram for clan::SoundProviderType_Register< SoundProviderClass >:

## Public Member Functions
Construction
| SoundProviderType_Register (const std::string &type)
| Registers sound provider type in the SoundProviderFactory. More...
Operations
virtual SoundProvider * | load (const std::string &filename, bool stream, const FileSystem &fs) override
| Called to load static with this sound provider type. More...
virtual SoundProvider * | load (IODevice &file, bool stream) override
| Called to load static with this sound provider type. More...
Public Member Functions inherited from clan::SoundProviderType
| SoundProviderType (const std::string &type)
| Registers a sound provider type in the SoundProviderFactory. More...
virtual | ~SoundProviderType ()
| Unregisters a sound provider type in the SoundProviderFactory. More...

## Detailed Description

### template<class SoundProviderClass>
class clan::SoundProviderType_Register< SoundProviderClass >

Class template to register a sound provider type.

The documentation for this class was generated from the following file:

- soundprovider_type_register.h